# Uses of Class
org.apache.sysds.runtime.instructions.spark.TernarySPInstruction

Packages that use TernarySPInstruction
Package
Description
org.apache.sysds.resource.cost
org.apache.sysds.runtime.instructions.fed
org.apache.sysds.runtime.instructions.spark

## Uses of TernarySPInstruction in org.apache.sysds.resource.cost

Methods in org.apache.sysds.resource.cost with parameters of type TernarySPInstruction
Modifier and Type
Method
Description
`static double`
SparkCostUtils.`getTernaryInstTime(TernarySPInstruction tInst, VarStats input1, VarStats input2, VarStats input3, VarStats output, IOCostUtils.IOMetrics executorMetrics)`

## Uses of TernarySPInstruction in org.apache.sysds.runtime.instructions.fed

Methods in org.apache.sysds.runtime.instructions.fed with parameters of type TernarySPInstruction
Modifier and Type
Method
Description
`static TernaryFEDInstruction`
TernaryFEDInstruction.`parseInstruction(TernarySPInstruction inst, ExecutionContext ec)`

## Uses of TernarySPInstruction in org.apache.sysds.runtime.instructions.spark

Subclasses of TernarySPInstruction in org.apache.sysds.runtime.instructions.spark
Modifier and Type
Class
Description
`class`
`TernaryFrameScalarSPInstruction`
Methods in org.apache.sysds.runtime.instructions.spark that return TernarySPInstruction
Modifier and Type
Method
Description
`static TernarySPInstruction`
TernarySPInstruction.`parseInstruction(String str)`